Subject: bug#28303: closed (Re: bug#28303: “guiximport texlive keyval” fails)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 21 Sep 2021 06:53:02 +0000

Your bug report

#28303: “guix import texlive keyval” fails

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28303: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28303
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28303: “guix import texlivekeyval” fails
From: zimoun <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Tue, 21 Sep 2021 08:42:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Thu, 16 Sep 2021 at 12:57, Ricardo Wurmus <[email-masked]> wrote:
> zimoun <[email-masked]> writes:
>> On Tue, 10 Oct 2017 at 08:51, [email-masked] (Ludovic Courtès) wrote:
>>> Ricardo Wurmus <[email-masked]> skribis:
>>>
>>>> In the case of “keyval” I don’t know exactly what is wrong, but in
>>>> general it looks like the importer doesn’t use subversion from the
>>>> store but expects it to be available in the environment.
>>>
>>> For now, we could always return an error like “svn command not
>>> found” or similar?
>>
>> I think this old bug [1] is fixed now.  The 2 examples works now and
>> from my understanding, I do not have SVN in my profiles as user.
>
> The SVN parts still fail, but at least the rest of the import works
> fine.
>
>> Closing?
>
> Yes, please.

Done.

> I’d like to note that this importer should eventually be replaced. 
> I have some WIP for a new importer.

Cool!

Cheers,
simon

Subject: “guix import texlive keyval” fails
From: [email-masked] (Ludovic Courtès)
To: [email-masked]
Date: Thu, 31 Aug 2017 12:11:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

Here’s a couple of failures:

--8<---------------cut here---------------start------------->8---
$ guix import texlive keyval
ni sekvas la redirektigon al 'https://ctan.org/xml/1.2/pkg/keyval'...
Backtrace:
           8 (primitive-load "/gnu/store/xjwq4aprrrb43lvsgbydd0m7pxj5758b-guix-0.13.0-5.…")
In guix/ui.scm:
  1331:12  7 (run-guix-command _ . _)
In guix/scripts/import.scm:
   114:11  6 (guix-import . _)
In guix/scripts/import/texlive.scm:
    91:19  5 (guix-import-texlive . _)
In guix/memoization.scm:
     56:0  4 (_ #<hash-table 207b420 0/31> ("keyval" "latex") _)
In unknown file:
           3 (_ #<procedure 20a2ba0 at guix/memoization.scm:70:17 ()> #<procedure list _> …)
In guix/import/texlive.scm:
   157:25  2 (sxml->package (*TOP* (entry (@ (id "keyval")) (name "keyval") (# "…") …)) _)
In guix/serialization.scm:
   270:25  1 (write-file #f #<output: string 24c5310> #:select? _)
In unknown file:
           0 (lstat #f)

ERROR: In procedure lstat:
ERROR: Wrong type (expecting string): #f
$ guix import texlive latex-graphics
ni sekvas la redirektigon al 'https://ctan.org/xml/1.2/pkg/latex-graphics'...
Backtrace:
           8 (primitive-load "/gnu/store/xjwq4aprrrb43lvsgbydd0m7pxj5758b-guix-0.13.0-5.…")
In guix/ui.scm:
  1331:12  7 (run-guix-command _ . _)
In guix/scripts/import.scm:
   114:11  6 (guix-import . _)
In guix/scripts/import/texlive.scm:
    91:19  5 (guix-import-texlive . _)
In guix/memoization.scm:
     56:0  4 (_ #<hash-table 10366c0 0/31> ("latex-graphics" "latex") _)
In unknown file:
           3 (_ #<procedure 105e980 at guix/memoization.scm:70:17 ()> #<procedure list _> …)
In guix/import/texlive.scm:
   157:25  2 (sxml->package (*TOP* (entry (@ (id "latex-graphics")) (name "latex…") …)) _)
In guix/serialization.scm:
   270:25  1 (write-file #f #<output: string 1464310> #:select? _)
In unknown file:
           0 (lstat #f)

ERROR: In procedure lstat:
ERROR: Wrong type (expecting string): #f
--8<---------------cut here---------------end--------------->8---

Ludo’.